# Package org.apache.lucene.util.hppc

package holding hppc related classes.

- Class Summary
  Class | Description
  --- | ---
  BitMixer | Bit mixing utilities.
  IntIntHashMap | A hash map of `int` to `int`, implemented using open addressing with linear probing for collision resolution.
  IntIntHashMap.AbstractIterator<E> | Simplifies the implementation of iterators a bit.

- Exception Summary
  Exception | Description
  --- | ---
  IntIntHashMap.BufferAllocationException | BufferAllocationException forked from HPPC